### Method

# Gdk Surfaceget_scale

since: 4.12

#### Declaration [src]

    double
    gdk_surface_get_scale (
      GdkSurface* surface
    )

#### Description [src]

Returns the internal scale that maps from surface coordinates to the actual device pixels.

When the scale is bigger than 1, the windowing system prefers to get buffers with a resolution that is bigger than the surface size (e.g. to show the surface on a high-resolution display, or in a magnifier).

Compare with `gdk_surface_get_scale_factor()`, which returns the next larger integer.

The scale may change during the lifetime of the surface.

Available since: 4.12

Gets property | `Gdk.Surface:scale`

#### Return value

Type: `double`

The scale.